# Class CIM_LogicalNetwork
extends CIM_CollectionOfMSEs

A LogicalNetwork groups together a set of ProtocolEndpoints of a given type which are able to communicate with each other directly. It is used for describing the characteristics of the grouping and/or its associated medium. A LogicalNetwork represents the ability to send and/or receive data over a network. This class is deprecated in lieu of ConnectivityCollection. The latter better defines that a LogicalNetwork 'collects' ProtocolEndpoints and other related entities, and is hosted within an AdminDomain.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_LogicalNetwork

## Direct Known Subclasses

CIM_IPSubnet
CIM_IPXNetwork
CIM_LANSegment

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_ConnectivityCollection

Description

string

A LogicalNetwork groups together a set of ProtocolEndpoints of a given type which are able to communicate with each other directly. It is used for describing the characteristics of the grouping and/or its associated medium. A LogicalNetwork represents the ability to send and/or receive data over a network. This class is deprecated in lieu of ConnectivityCollection. The latter better defines that a LogicalNetwork 'collects' ProtocolEndpoints and other related entities, and is hosted within an AdminDomain.

UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Deprecated | string | No value
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Deprecated | string | CIM_ConnectivityCollection.InstanceID
Description | string | The Name property defines the label by which the object is known.
Key | boolean | true
MaxLen | uint32 | 256
NetworkType | uint16 |
Deprecated | string | No value
Description | string | Type is an enumeration that provides additional information that can be used to help categorize and classify different instances of this class. Subclasses should ensure that they are of the appropriate type defined in the Type enumeration. That is, the IPSubnet subclass should define its property as either IPv4 or IPv6, as opposed to, for example, ATM.
ModelCorrespondence | string | CIM_LogicalNetwork.OtherTypeDescription
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18
Values | string | Unknown, Other, IPv4, IPv6, IPX, AppleTalk, DECnet, SNA, CONP, CLNP, VINES, XNS, ATM, Frame Relay, Ethernet, TokenRing, FDDI, Infiniband, Fibre Channel
OtherTypeDescription | string |
Deprecated | string | No value
Description | string | A string describing the type of protocol that is being run by this LogicalNetwork, when the value of the Type property (or any of its subclasses) is set to 1 (i.e., "Other"). This property should be set to NULL when the Type property is any value other than 1.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_LogicalNetwork.NetworkType
SystemCreationClassName | string |
Deprecated | string | No value
Description | string | The scoping AdminDomain's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_AdminDomain.CreationClassName
SystemName | string |
Deprecated | string | No value
Description | string | The scoping AdminDomain's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_AdminDomain.Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CollectionID | string | CIM_CollectionOfMSEs
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods